Skip to main content
POST
/
v3
/
lists
curl -X POST "https://verification.didit.me/v3/lists/" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name": "Trusted IPs", "list_type": "allowlist", "entry_type": "ip_address"}'
{
  "uuid": "f1e2d3c4-...",
  "name": "Trusted IPs",
  "description": "",
  "list_type": "allowlist",
  "entry_type": "ip_address",
  "is_system": false,
  "entry_count": 0,
  "last_entry_added_at": null,
  "created_at": "2025-06-09T12:26:54Z",
  "updated_at": "2025-06-09T12:26:54Z"
}
Create a new list for your application. Only allowlist and custom types can be created — system blocklists are auto-provisioned.

Request body

FieldTypeRequiredDescription
namestringYesList name (must be unique per application)
descriptionstringNoOptional description
list_typestringYesallowlist or custom
entry_typestringYesOne of: face, document, phone, email, ip_address, device_fingerprint, wallet_address, bank_account, country, user, business, key
curl -X POST "https://verification.didit.me/v3/lists/" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name": "Trusted IPs", "list_type": "allowlist", "entry_type": "ip_address"}'
{
  "uuid": "f1e2d3c4-...",
  "name": "Trusted IPs",
  "description": "",
  "list_type": "allowlist",
  "entry_type": "ip_address",
  "is_system": false,
  "entry_count": 0,
  "last_entry_added_at": null,
  "created_at": "2025-06-09T12:26:54Z",
  "updated_at": "2025-06-09T12:26:54Z"
}